Bug 18243 - 16 bpp on Matrox G200 hangs system
Summary: 16 bpp on Matrox G200 hangs system
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-03 17:11 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-03 17:11:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-10-03 17:11:26 UTC
Setting a Matrox G200 video card to 16bpp hangs the system when starting
XFree86 on RedHat Linux 7.0 (Guinness).  System is so hosed that soft-off
(front of case) does not work, must switch off system power (back of case).

More system info:

Matrox G200 AGP (8 MB RAM)
K7M MB
Athlon-700 MHz
256 MB RAM
Other video settings: 1024x768 res, Generic MultiSync Monitor (Horiz:30-64
Vert:50-100), 100 dpi fonts loaded.

WORKAROUND: Set the color depth to 8bpp or 32bpp.

This may have something to do with the DRI driver for XFree86 4.01, which,
I believe, operates only at 16bpp.

Comment 1 Preston Brown 2000-10-04 19:25:29 UTC
This can be worked around by turning off DRI when using 16bpp or higher with
resolutions > 1024x768 on a 8 meg G200.


Note You need to log in before you can comment on or make changes to this bug.